# Program to read a PDB file and creates an output PDB file with protein atoms
# only.

# Reads and opens input file
pdbFileIn = input("\nType the PDB file name => ")
fo = open(pdbFileIn,"r")

# Reads and opens output file
my_protein = input("\nType the PDB file name for protein atoms => ")    
fo_protein = open(my_protein,"w")

# Assigns zero to counter 
count_protein = 0

# Looping through to identify protein atoms
for line in fo:
    if line[0:6] == "ATOM  ":       # Condition to be considered a protein atom
        fo_protein.write(line)
        count_protein += 1
    elif line[0:6] == "CRYST1" or line[0:5] == "ORIGX" or line[0:5] == "SCALE" or line[0:3] == "END" :
        fo_protein.write(line)
        

# Closes files
fo.close()
fo_protein.close()

# Shows results
print("\nNumber of protein atoms written in ",my_protein,": ",count_protein)